org.eclnt.jsfserver.elements.impl

## Class TILEDAREABinding

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.TILEDAREABinding

- All Implemented Interfaces:
    java.io.Serializable, IDynamicContentBindingObject

      public class TILEDAREABinding
      extends java.lang.Object
      implements java.io.Serializable, IDynamicContentBindingObject

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `TILEDAREABinding.IPersist`
    `class` | `TILEDAREABinding.Tile`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TILEDAREABinding()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addNewColumn(int newColumnIndex)`
    `void` | `addTile(java.lang.String id, java.lang.String title, IPageBean pageBean)` Adds a tile to the TILEDAREA.
    `void` | `addTile(java.lang.String id, java.lang.String title, IPageBean pageBean, java.lang.String height)` Adds a tile to the TILEDAREA.
    `void` | `clearTiles()`
    `DYNAMICCONTENTBinding` | `getContent()`
    `boolean` | `getDragTitleOnly()` If set to true then only the title area of the contained FOLDABLE-areas is drag-able.
    `TILEDAREAInfo` | `getLayout()` Get the current layout of tiles.
    `java.lang.String` | `getPersistid()`
    `TILEDAREABinding.IPersist` | `getPersistor()`
    `java.util.Map<java.lang.String,TILEDAREABinding.Tile>` | `getTiles()`
    `protected void` | `loadLayout()`
    `protected void` | `moveTile(java.lang.String id, int newColumnIndex, int newRowIndex)`
    `void` | `onDropAction(ActionEvent event)`
    `protected void` | `persistLayout()`
    `protected void` | `removeEmptyColumns()`
    `protected void` | `render()`
    `void` | `rerenderIfNoLayout()`
    `void` | `setDragTitleOnly(boolean dragTitleOnly)`
    `void` | `setLayout(TILEDAREAInfo value)`
    `void` | `setObjectbinding(java.lang.String objectbinding)` Internal usage only.
    `void` | `setPersistid(java.lang.String value)`
    `void` | `setPersistor(TILEDAREABinding.IPersist persistor)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TILEDAREABinding

          public TILEDAREABinding()

  - ### Method Detail

    - #### getTiles

          public java.util.Map<java.lang.String,TILEDAREABinding.Tile> getTiles()

    - #### getContent

          public DYNAMICCONTENTBinding getContent()

    - #### getPersistor

          public TILEDAREABinding.IPersist getPersistor()

    - #### setPersistor

          public void setPersistor(TILEDAREABinding.IPersist persistor)

    - #### getDragTitleOnly

          public boolean getDragTitleOnly()

      If set to true then only the title area of the contained FOLDABLE-areas is drag-able. Otherwise the dragging can be done within the whole FOLDABLE- area.

    - #### setDragTitleOnly

          public void setDragTitleOnly(boolean dragTitleOnly)

    - #### addTile

          public void addTile(java.lang.String id,
                              java.lang.String title,
                              IPageBean pageBean)

      Adds a tile to the TILEDAREA. After having added all tiles you need to call `#importTILEDAREAInfo(TILEDAREAInfo)` in order to render the arrangement of tiles in a predefined style.

    - #### addTile

          public void addTile(java.lang.String id,
                              java.lang.String title,
                              IPageBean pageBean,
                              java.lang.String height)

      Adds a tile to the TILEDAREA. After having added all tiles you need to call `#importTILEDAREAInfo(TILEDAREAInfo)` in order to render the arrangement of tiles in a predefined style.

    - #### clearTiles

          public void clearTiles()

    - #### getLayout

          public TILEDAREAInfo getLayout()

      Get the current layout of tiles.

    - #### setLayout

          public void setLayout(TILEDAREAInfo value)

    - #### setObjectbinding

          public void setObjectbinding(java.lang.String objectbinding)

      Internal usage only.

    - #### rerenderIfNoLayout

          public void rerenderIfNoLayout()

    - #### getPersistid

          public java.lang.String getPersistid()

    - #### setPersistid

          public void setPersistid(java.lang.String value)

    - #### onDropAction

          public void onDropAction(ActionEvent event)

    - #### addNewColumn

          protected void addNewColumn(int newColumnIndex)

    - #### moveTile

          protected void moveTile(java.lang.String id,
                                  int newColumnIndex,
                                  int newRowIndex)

    - #### removeEmptyColumns

          protected void removeEmptyColumns()

    - #### render

          protected void render()

    - #### loadLayout

          protected void loadLayout()

    - #### persistLayout

          protected void persistLayout()

Copyright © CaptainCasa Gmbh. All Rights Reserved.